View Issue Details

IDProjectCategoryView StatusLast Update
0015521MediaMonkey 5Main Panelpublic2019-04-17 00:28
ReporterLudek 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionreopened 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0015521: Confusing caption upon clicking [Browse] folder button (and redundant checkboxes)
DescriptionPress top BROWSE button on Tools|Options|Downloads/Podcasts ... the path browser dbox that is opened has confusing instructions
https://www.dropbox.com/s/j72co9yxsjbbd99/confusing%20instructions.png?dl=0

In addition the checkboxes shouldn't be there -- as there is supposed to be only a single folder selected.
Additional Informationhttps://www.mediamonkey.com/forum/viewtopic.php?f=30&t=93967
TagsNo tags attached.
Fixed in build2170

Relationships

related to 0015532 closedpetr Directory configuration dialog optimization (auto-organize / convert ) 

Activities

Ludek

2019-03-02 13:26

developer   ~0052854

Fixed in 2165

rusty

2019-03-08 15:46

administrator   ~0052914

Verified 2165, however, in doing so, I noticed that the dialog is still lacking:
- ability to create a folder (as in MM4)
- ability to choose a mask (missing in MM4)

Would it make sense to use the same 'Directory chooser' for this as is used e.g. in the Auto-organize 'configure...' button ?

Ludek

2019-03-10 15:17

developer   ~0052929

ok, added the same 'Directory chooser' as in the Auto-organize, i.e. with the 'configure...' button etc.

Fixed in 2166

peke

2019-03-16 03:08

developer   ~0052989

Directory browser still do not have New folder creation.

peke

2019-03-16 03:08

developer  

bug15521.jpg (123,528 bytes)
bug15521.jpg (123,528 bytes)

Ludek

2019-03-18 10:47

developer   ~0053003

Last edited: 2019-03-18 10:59

View 3 revisions

1) yes, 'New folder...' button is missing, but
a) is cumbersome in MM4 and does not work as one would expect, I also doubt that this was used much
b) it is redundant, as user can easily put the new folder to the 'Main directory' path and the folder will be auto-created

2) The 'Select folder' dialog lists also 'Google Play Music' and media servers, these shouldn't be listed there!

=> 2) is fixed in 2167

peke

2019-03-22 23:43

developer   ~0053082

Last edited: 2019-03-22 23:44

View 3 revisions

2. Verified 2167

1. Sounds reasonable. According to b) may I suggest that "Select folder" be renamed to "Select main folder" to be more clear that user is not selecting destination folder, but main/root folder for destination mask as that way we imply b) auto creation based on destination mask?

Ludek

2019-03-25 13:44

developer   ~0053093

Fixed in 2168

peke

2019-04-12 00:13

developer   ~0053189

Verified 2168

rusty

2019-04-12 16:56

administrator   ~0053204

Now 'Select main folder' appears in other contexts where it should just indicate 'Select folder'. I'd suggest reverting this (i don't think it was confusing to begin with).

peke

2019-04-12 19:35

developer   ~0053210

What about "Folder Selection"? It is more generic?

Ludek

2019-04-15 10:39

developer   ~0053219

Reverted to 'Select folder' in 2170

peke

2019-04-16 00:53

developer   ~0053237

Verified 2170

Close if 0015521:0053210 is not better.

rusty

2019-04-16 17:48

administrator   ~0053252

I reviewed both usecases and the current wording ('Select folder') is good (and the term 'Folder selection' doesn't offer any adwantages).

peke

2019-04-17 00:28

developer   ~0053277

Agree, closing for now.